For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change enabled

Habilita / Desabilita Item de Menu

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
menuItemIdstringObrigatório

ID do item de menu

Corpo
activebooleanOpcional
Respostas
200

OK

application/json
idstringOpcional
titlestringOpcional
namestringOpcional
profilestring · enumOpcionalValores possíveis:
typestring · enumOpcionalValores possíveis:
form_idstringOpcional
table_idstringOpcional
activebooleanOpcional
subtitlestringOpcional
launcher_typestring · enumOpcionalValores possíveis:
banner_idstringOpcional
icon_typestringOpcional
orderinteger · int32Opcional
put/menu-items/{menuItemId}/change-enabled
PUT /api/b2b/menu-items/{menuItemId}/change-enabled HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "active": true
}
{
  "id": "text",
  "title": "text",
  "name": "text",
  "profile": "SELLER",
  "type": "LAUNCHER",
  "form_id": "text",
  "table_id": "text",
  "active": true,
  "subtitle": "text",
  "launcher_type": "FINANCIAL_PARTNER",
  "banner_id": "text",
  "icon_type": "text",
  "order": 1
}